public class AnwendungTestEqualsAlle
{
	public static void main (String [] args)
	{
		Person p1=new Person("Meier","Paula");
		Angestellter a1=new Angestellter("Meier","Paula",1234,"Gärtner");
		Student s1=new Student("Meier","Paula",1234,"Köln");
		java.awt.Point point1=new java.awt.Point(2,4);
		int testnummer=1;
		
		System.out.println("\tp1: "+p1+",\n\ta1: "+a1+
				",\n\ts1: "+s1+",\n\tpoint1=: "+point1);
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": p1.equals(a1)");
		System.out.println("true Expected");
		System.out.println(p1.equals(a1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": a1.equals(p1)");
		System.out.println("true Expected");
		System.out.println(a1.equals(p1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": p1.equals(s1)");
		System.out.println("true Expected");
		System.out.println(p1.equals(s1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": s1.equals(p1)");
		System.out.println("true Expected");
		System.out.println(s1.equals(p1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": s1.equals(a1)");
		System.out.println("true Expected");
		System.out.println(s1.equals(a1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": a1.equals(s1)");
		System.out.println("true Expected");
		System.out.println(a1.equals(s1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": point1.equals(p1)");
		System.out.println("false Expected");
		System.out.println(point1.equals(p1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": p1.equals(point1)");
		System.out.println("false Expected");
		System.out.println(p1.equals(point1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": point1.equals(s1)");
		System.out.println("false Expected");
		System.out.println(point1.equals(s1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": s1.equals(point1)");
		System.out.println("false Expected");
		System.out.println(s1.equals(point1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": point1.equals(a1)");
		System.out.println("false Expected");
		System.out.println(point1.equals(a1)+" Result");
		testnummer++;
		System.out.println("--------------------------");
		System.out.println("Test "+testnummer+": p1.equals(point1)");
		System.out.println("false Expected");
		System.out.println(a1.equals(point1)+" Result");
		testnummer++;
	}
}